PHP 手冊
前一頁 |  | 下一頁

# DOMDocument->save()

DOMDocument->save() -- Dumps the internal XML tree back into a file

## Description

class DOMDocument {
mixed save ( string filename )
}

Creates an XML document from the DOM representation. This function is usually called after building a new dom document from scratch as in the example below.

## Parameters

filename

  The path to the saved XML document.

## Return Values

Returns the number of bytes written or `FALSE` if an error occurred.

## 範例

範例 1. Saving a DOM tree into a file

`<?php
$doc = new DOMDocument('1.0');
// we want a nice output
$doc->formatOutput = true;
$root = $doc->createElement('book');
$root = $doc->appendChild($root);
$title = $doc->createElement('title');
$title = $root->appendChild($title);
$text = $doc->createTextNode('This is the title');
$text = $title->appendChild($text);
echo 'Wrote: ' . $doc->save("/tmp/test.xml") . ' bytes'; // Wrote: 72 bytes
?>`

## 參考

DOMDocument->saveXML()
DOMDocument->load()
DOMDocument->loadXML()

前一頁 | 內容 | 下一頁
DOMDocument->relaxNGValidateSource() | 上一層 | DOMDocument->saveHTML()